Subject: bug#25281: rust importer duplicates input

From: ng0 <[email-masked]>
Date: Tue, 27 Dec 2016 16:10:40 +0000

I'm on the grand journey into rusty land, and while I'm
assembling a list of what needs to be packaged to package our
prototype, I got this:

ng0@wasp ~$ guix import crate net2
following redirection to `https://crates-io.s3-us-west-1.amazonaws.com/crates/net2/net2-0.2.26.crate'...
(package
  (name "rust-net2")
  (version "0.2.26")
  (source
    (origin
      (method url-fetch)
      (uri (crate-uri "net2" version))
      (file-name
        (string-append name "-" version ".tar.gz"))
      (sha256
        (base32
          "1qp3q6xynb481rsp3ig1nmqb6qlxfba3shfrmqij88cppsv9rpsy"))))
  (build-system cargo-build-system)
  (inputs
    `(("rust-cfg-if" ,rust-cfg-if)
      ("rust-kernel32-sys" ,rust-kernel32-sys)
      ("rust-libc" ,rust-libc)
      ("rust-libc" ,rust-libc)
      ("rust-libc" ,rust-libc)
      ("rust-libc" ,rust-libc)
      ("rust-libc" ,rust-libc)
      ("rust-winapi" ,rust-winapi)
      ("rust-ws2-32-sys" ,rust-ws2-32-sys)))
  (home-page
    "https://github.com/rust-lang-nursery/net2-rs")
  (synopsis
    "Extensions to the standard library's networking types as proposed in RFC 1158.
")
  (description
    "Extensions to the standard library's networking types as proposed in RFC 1158.
")
  (license (list license:expat license:asl2.0)))

-- 
♥Ⓐ  ng0
PGP keys and more: https://n0is.noblogs.org/ http://ng0.chaosnet.org